## prelude-manager 5.2.0

=== selinux/Makefile ===
TARGETS?= prelude-manager
MODULES?=${TARGETS:=.pp.bz2}

all: ${TARGETS:=.pp.bz2}

%.pp.bz2: %.pp
	@echo Compressing $^ -\ $@
	bzip2 -9 $^

%.pp: %.te
	make -f /usr/share/selinux/devel/Makefile $@

clean:
	make -f /usr/share/selinux/devel/Makefile clean
	rm -f *.pp.bz2

.PHONY: all clean

## prelude-manager 3.1.0

=== debian/changelog ===
prelude-manager (3.1.0-2) unstable; urgency=medium

  * Push to unstable

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Mon, 20 Nov 2017 01:00:00 +0200

prelude-manager (3.1.0-1) experimental; urgency=medium

  * Remove init.d conffile
  * On previous version (3.1.0-0.1) the bump Standard-Version
    was to 4.1.1 and not to 4.1.0
  * Remove some trailing whitespace in d/changelog
  * Add Thomas Andrejak as uploader in d/control

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Fri, 03 Nov 2017 00:00:00 +0100

prelude-manager (3.1.0-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rewriting of rules file using the dh sequencer
  * Addition of the upstream signing key
  * Update of watch file: update URL since upstream website moved
  * Migrate from init.d to systemd
    - Remove init script and its configuration
    - Add service and tmpfile
    - Update prelude-manager.postinst to add creation of tmpfile
  * Update README.debian: remove TODO part
  * Update prelude-manager.postinst: add --home in adduser command
  * Update prelude-manager.config: remove unnecessary check
  * Remove unnecessary prelude-manager.{dirs,docs}
  * Bump version 3.1.0 (Closes: #875533)
  * Patches:
    - Remove unnecessary patches now that upstream included them
    - 001-conf_db.patch: For dbconfig
    - 002-text-spelling.patch: Spelling
    - 003-fix-libpreludedb-pkgconfig.patch: Move from libpreludedb-config
      to pkg-config to get compile flags
  * Control:
    - Change Priority from extra to optional
    - Add Vcs fields
    - Bump Standards-Version to 4.1.0
    - Bump debhelper compat level to 10
    - Set Homepage field
    - Update dependencies: add libwrap and libmaxminddb
    - Update MySQL dependencies (Closes:#848449)
  * Update SQL dir content to made rules file simpler
  * Rewriting of copyright file to fit the machine-readable format
  * Add missing copyright information

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Wed, 04 Oct 2017 16:46:03 +0200

prelude-manager (1.0.1-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Call dh_update_autotools_config to update config.{sub,guess} for new archs.
  * Remove Mickael Profeta <profeta@debian.org> from the uploaders.
    Closes: #838926
  * Stop using hardening-wrapper, make use of dpkg-buildflags with
        DEB_BUILD_MAINT_OPTIONS=hardening=+all
    instead.  Closes: #836648

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 27 Sep 2016 13:13:39 +0000

prelude-manager (1.0.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against GnuTLS 3. Drop build-dependency on libgnutls-dev, instead
    rely on libprelude-dev pulling in GnuTLS and gcrypt development packages.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 15 Aug 2014 08:00:29 +0200

prelude-manager (1.0.1-5) unstable; urgency=low

  * Fix FTBFS with eglibc 2.17 (Closes: #701412)
  * Add missingok option to logrotate script (Closes: #543447)
  * Remove profile when purging package (Closes: #704543)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 02 Jul 2013 15:36:16 +0200

prelude-manager (1.0.1-4) unstable; urgency=low

  * Replace TYPE=InnoDB with ENGINE=InnoDB in SQL script (Closes: #702703)
  * Apply patch from Andreas Beckmann:
    prelude-manager.postrm: Fix debconf usage. Source confmodule at the very
    beginning (if available). Drop extra db_purge call as that is already
    added by dh_installdebconf.  (Closes: #660455)
  * Acknowledge NMU

 -- Pierre Chifflier <pollux@debian.org>  Mon, 18 Mar 2013 00:03:20 +0100

prelude-manager (1.0.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "modifies conffiles (policy 10.7.3): /etc/prelude-
    manager/prelude-manager.conf":
    - install configuration file below /usr/share
    - copy it to /etc in postinst if necessary
    (Closes: #689683)

 -- gregor herrmann <gregoa@debian.org>  Fri, 19 Oct 2012 23:10:39 +0200

prelude-manager (1.0.1-3) unstable; urgency=low

  * Acknowledge NMU (thanks Luk)
  * This version builds fine with gcc/g++ 4.6.1 (Closes: #625429)
  * Enable hardening wrapper
  * Bump Standards Version to 3.9.2

 -- Pierre Chifflier <pollux@debian.org>  Sat, 23 Jul 2011 19:04:25 +0200

prelude-manager (1.0.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    (Closes: #622129)

 -- Luk Claes <luk@debian.org>  Mon, 06 Jun 2011 07:38:00 +0200

prelude-manager (1.0.1-2) unstable; urgency=low

  * Fix FTBFS with error 'lt__PROGRAM__LTX_preloaded_symbols' undeclared
    (Closes: #622026)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 10 Apr 2011 19:22:53 +0200

prelude-manager (1.0.1-1) unstable; urgency=low

  * Imported Upstream version 1.0.1
  * Bump Standards Version to 3.9.1

 -- Pierre Chifflier <pollux@debian.org>  Wed, 03 Nov 2010 16:41:08 +0100

prelude-manager (1.0.0-1) unstable; urgency=low

  * Imported Upstream version 1.0.0

 -- Pierre Chifflier <pollux@debian.org>  Fri, 19 Mar 2010 13:07:48 +0100

prelude-manager (1.0.0~rc1-2) unstable; urgency=low

  * Rebuild for newer version of libltdl

 -- Pierre Chifflier <pollux@debian.org>  Fri, 26 Feb 2010 17:44:53 +0100

prelude-manager (1.0.0~rc1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards Version to 3.8.4
  * Update description

 -- Pierre Chifflier <pollux@debian.org>  Wed, 03 Feb 2010 21:16:46 +0100

prelude-manager (0.9.15-4) unstable; urgency=low

  * Add missing build-dep on pkg-config

 -- Pierre Chifflier <pollux@debian.org>  Thu, 20 Aug 2009 22:19:45 +0200

prelude-manager (0.9.15-3) unstable; urgency=high

  * Use pkg-config to check for GnuTLS (Closes: #529844)
  * This required to run autogen and re-generate Makefiles
  * Urgency high, RC bug
  * Bump Standards Version to 3.8.3 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 20 Aug 2009 21:38:44 +0200

prelude-manager (0.9.15-2) unstable; urgency=low

  * Fix postinst script trying to change owner of a removed directory


=== debian/control ===
Source: prelude-manager
Section: admin
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Uploaders: Thomas Andrejak <thomas.andrejak@gmail.com>
Build-Depends: debhelper (>=10),
     libprelude-dev (>=3.1.0),
     libpreludedb-dev (>=3.1.0),
     libwrap0-dev,
     libmaxminddb-dev,
     zlib1g-dev,
     libxml2-dev,
     libevent-dev,
     pkg-config,
Standards-Version: 4.1.1
Homepage: https://www.prelude-siem.org/
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/prelude-manager.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/prelude-manager.git

Package: prelude-manager
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf, dbconfig-common
Recommends: default-mysql-client | postgresql-client
Description: Security Information Management System [ Manager ]
 Prelude is a Universal "Security Information Management" (SIM) system.
 Its goals are performance and modularity. It is divided in two main
 parts :
  - the Prelude sensors, responsible for generating alerts, such as
    snort sensor, featuring a signature engine, plugins for
    protocol analysis, and intrusion detection plugins, and the Prelude
    log monitoring lackey.
  - the Prelude report server, collecting data from Prelude sensors,
    and generating user-readable reports.
 .
 This package provides the Prelude Manager, which is a high availability
 server that accepts secured connections from distributed sensors or
 other managers and saves received events to a media specified by the
 user (database, log files, mail, etc).

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CONFIGURE_FLAGS = --enable-mysql=yes --enable-pgsql=yes

override_dh_installinit:
	dh_installinit --noscripts

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_install:
	dh_auto_install
	find . -name "*.la" -exec rm -f {} \;

override_dh_install:
	dh_install
	mv -v $(CURDIR)/debian/prelude-manager/etc/prelude-manager/prelude-manager.conf $(CURDIR)/debian/prelude-manager/usr/share/prelude-manager/
	sed -i 's/^DROP TABLE/-- DROP TABLE/' debian/prelude-manager/usr/share/dbconfig-common/data/prelude-manager/install/pgsql
	rmdir -v $(CURDIR)/debian/prelude-manager/var/run/prelude-manager
	mkdir -pv $(CURDIR)/debian/prelude-manager/var/spool/prelude/prelude-manager

%:
	dh $@

## prelude-manager 4.1.1

=== debian/changelog ===
prelude-manager (4.1.1-2) unstable; urgency=medium

  * d/prelude-manager.postinst: fix chown calls on non existing files

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Fri, 16 Mar 2018 12:00:00 +0200

prelude-manager (4.1.1-1) unstable; urgency=medium

  * Bump version 4.1.1 (Closes: #892789)
    - Update dependencies:
      libprelude and libpreludedb 4.1 is required
      Add prelude-utils
    - Update patch 003-fix-libpreludedb-pkgconfig.patch
  * d/control:
    - Update description
    - Update Vcs-* fields to salsa
  * d/prelude-manager.postinst, do no use chown -R
  * Update copyrights dates

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Mon, 12 Mar 2018 22:00:00 +0200

prelude-manager (3.1.0-4) unstable; urgency=medium

  * prelude-correlator.postinst: revert fix of #742116 because there
    was no issues
  * Bump Standards-Version to 4.1.3, nothing to update
  * Bump debhelper compat level to 11
    - Bump in d/control and d/compat
    - Update d/postinst to use new features around systemd

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Sat, 6 Jan 2018 01:00:00 +0200

prelude-manager (3.1.0-3) unstable; urgency=medium

  * prelude-correlator.postinst: use single quotes instead of double
    quotes in the sed statement (Closes: #742116)
  * Bump Standards-Version to 4.1.2, nothing to update

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Mon, 18 Dec 2017 01:00:00 +0200

=== debian/control ===
Source: prelude-manager
Section: admin
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Uploaders: Thomas Andrejak <thomas.andrejak@gmail.com>
Build-Depends: debhelper (>=11),
     libprelude-dev (>=4.1.0),
     prelude-utils (>=4.1.0),
     libpreludedb-dev (>=4.1.0),
     libwrap0-dev,
     libmaxminddb-dev,
     zlib1g-dev,
     libxml2-dev,
     libevent-dev,
     pkg-config,
Standards-Version: 4.1.3
Homepage: https://www.prelude-siem.org/
Vcs-Browser: https://salsa.debian.org/totol-guest/prelude-manager
Vcs-Git: https://salsa.debian.org/totol-guest/prelude-manager.git

Package: prelude-manager
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf, dbconfig-common
Recommends: default-mysql-client | postgresql-client
Description: Security Information and Events Management System [ Manager ]
 Prelude Manager is the main program of the Prelude SIEM suite. It is a
 multithreaded server which handles connections from the Prelude sensors. It
 is able to register local or remote sensors, let the operator configure them
 remotely, receive alerts, and store alerts in a database or any format
 supported by reporting plugins, thus providing centralized logging and
 analysis. The IDMEF standard is used for alert representation. Support for
 filtering plugins allows you to hook in different places in the Manager to
 define custom criteria for alert relaying and logging.
 .
 This package provides the Prelude Manager, which is a high availability
 server that accepts secured connections from distributed sensors or
 other managers and saves received events to a media specified by the
 user (database, log files, mail, etc).

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.sig/ https://www.prelude-siem.org/pkg/src/([\d\.]*)/prelude-manager-([\d\.]*)\.tar\.gz

## prelude-manager 5.1.0

=== debian/changelog ===
prelude-manager (5.1.0-3) unstable; urgency=medium

  * d/patches: add 007-libxml_pkgconfig.patch (Closes: #949429)
      - Migrate libxml detection to pkgconfig
  * d/rules
  * d/prelude-manager.postinst
  * d/prelude-manager.postrm
    d/patches
      - Fixing adduser-with-home-var-run
      - New patch 008-Fix_adduser-with-home-var-run.patc
  * d/control:
    - Update Standard-Version to 4.5.0

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Mon, 24 Feb 2020 12:07:24 +0200

prelude-manager (5.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 12 Nov 2019 12:07:24 +0200

prelude-manager (5.1.0-1) experimental; urgency=medium

  * Bump version 5.1.0 (Closes: #925805)
  * d/control:
    - Migrate from debhelper to debhelper-compat
    - Update Standard-Version to 4.4.1
    - Add Rules-Requires-Root to no
    - Bump DebHelper to 12
    - Bump prelude dependencies to 5.1
  * Add d/u/metadata
  * d/changelog: Remove whitespaces
  * Add hardening feature in systemd file
  * Update copyrights dates
  * Update postinst script (Closes: #908238)
  * d/patches:
    - Updates:
      - 001-conf_db.patch
      - 002-text-spelling.patch
      - 003-fix-libpreludedb-pkgconfig.patch
    - News:
      - 004-fix_cond_test.patch
      - 005-fix-test_rwlock1.patch
      - 006-fix_thread_create.patch

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Fri, 11 Oct 2019 22:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Thomas Andrejak <thomas.andrejak@gmail.com>
-Build-Depends: debhelper (>=11),
-     libprelude-dev (>=4.1.0),
-     prelude-utils (>=4.1.0),
-     libpreludedb-dev (>=4.1.0),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
+     libprelude-dev (>=5.1.0),
+     prelude-utils (>=5.1.0),
+     libpreludedb-dev (>=5.1.0),
      libwrap0-dev,
      libmaxminddb-dev,
      zlib1g-dev,
      libxml2-dev,
      libevent-dev,
      pkg-config,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: https://www.prelude-siem.org/
 Vcs-Browser: https://salsa.debian.org/totol-guest/prelude-manager
 Vcs-Git: https://salsa.debian.org/totol-guest/prelude-manager.git

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CONFIGURE_FLAGS = --enable-mysql=yes --enable-pgsql=yes

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_install:
	dh_auto_install
	find . -name "*.la" -exec rm -f {} \;

override_dh_install:
	dh_install
	mv -v $(CURDIR)/debian/prelude-manager/etc/prelude-manager/prelude-manager.conf $(CURDIR)/debian/prelude-manager/usr/share/prelude-manager/
	sed -i 's/^DROP TABLE/-- DROP TABLE/' debian/prelude-manager/usr/share/dbconfig-common/data/prelude-manager/install/pgsql
	rmdir -v $(CURDIR)/debian/prelude-manager/run/prelude-manager $(CURDIR)/debian/prelude-manager/run
	mkdir -pv $(CURDIR)/debian/prelude-manager/var/spool/prelude/prelude-manager

%:
	dh $@

## prelude-manager 5.2.0

=== debian/changelog ===
prelude-manager (5.2.0-2) unstable; urgency=medium

  * d.patches: Add new patch
    - 023-Disable_GnuLib_Tests_perror2_strerror.patch
      - Apply patch from upstream, disable unportable tests, form armhf

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Thu, 26 Nov 2020 20:53:39 +0200

prelude-manager (5.2.0-1) unstable; urgency=medium

  * Bump version 5.2.0
    - d.control:
      - Update Prelude 5.2 dependencies
      - Bump debhelper version to 13
      - Enable support for SNMP
      - Update Standard-Version to 4.5.1
    - Update patchs:
      - 001-conf_db.patch
      - 002-text-spelling
      - 003-Use-pkgconfig-for-libprelude-and-libpreludedb.patch
        - Update libprelude.m4 and libpreludedb.m4
        - Update configure.ac to use these new m4 files
    - New patchs:
      - 009-fix-gnutls-deps.patch
        - Fix gnutls detection in configure
    - d.p.*.patch: Set the field Forwarded
    - d.copyright: CS SI to CS GROUP
    - d.watch: bump version to 4
    - d.sql: Update MySQL and PostgreSQL scripts

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 17 Nov 2020 20:53:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Thomas Andrejak <thomas.andrejak@gmail.com>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
-     libprelude-dev (>=5.1.0),
-     prelude-utils (>=5.1.0),
-     libpreludedb-dev (>=5.1.0),
+Build-Depends: debhelper-compat (= 13),
+     libprelude-dev (>=5.2.0),
+     prelude-utils (>=5.2.0),
+     libpreludedb-dev (>=5.2.0),
      libwrap0-dev,
      libmaxminddb-dev,
+     libsnmp-dev,
      zlib1g-dev,
      libxml2-dev,
      libevent-dev,
      pkg-config,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.prelude-siem.org/
 Vcs-Browser: https://salsa.debian.org/totol-guest/prelude-manager
 Vcs-Git: https://salsa.debian.org/totol-guest/prelude-manager.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! /usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-CONFIGURE_FLAGS = --enable-mysql=yes --enable-pgsql=yes
+CONFIGURE_FLAGS = --enable-libpreludedb=yes
 
 override_dh_installsystemd:
 	dh_installsystemd --no-enable --no-start
